[vdr] DVD-Plugin compile failure

Ville Skyttä ville.skytta at iki.fi
Sat Nov 17 22:58:16 CET 2007


On Saturday 17 November 2007, Simon Baxter wrote:
> I've built a new VDR box, and can't get the dvd plugin to compile.
>
> kernel=2.6.22.9-61.fc6
> libdvdnav-0.1.10-3.20070503.lvn6
> libdvdnav-devel-0.1.10-3.20070503.lvn6
> libdvdcss-1.2.9-4.lvn6
> libdvdcss-devel-1.2.9-4.lvn6
> libdvdread-0.9.7-2.fc6
> libdvdread-devel-0.9.7-2.fc6
>
> [root at cyril dvd-0.3.6_b03]# make
> g++ -g -O2 -Wall -Woverloaded-virtual -fPIC -O3 -c -D_GNU_SOURCE
> -DPLUGIN_NAME_I18N='"dvd"' -I../../../../DVB/include -I../../../include
> -I../../../../DVB/include -I/usr/include/dvdnav dvd.c
> /usr/include/dvdnav/dvdnav.h:367: error: expected ',' or '...' before
> 'this' make: *** [dvd.o] Error 1
>
> any ideas?

Bug in that libdvdnav snapshot: http://bugzilla.livna.org/show_bug.cgi?id=1528

A fixed build for FC-6 is on its way but (like you may already know) FC-6 will 
go end of life in a couple of weeks so it could be a good idea to upgrade.



More information about the vdr mailing list